const DATA_SEPERATOR = ";";

class GazeData {
  constructor(leftEyeX, leftEyeY, rightEyeX, rightEyeY, trackerTimeStamp,
    systemTimeStamp) {
    this.leftEyeX = leftEyeX;
    this.leftEyeY = leftEyeY;
    this.rightEyeX = rightEyeX;
    this.rightEyeY = rightEyeY;
    this.trackerTimeStamp = trackerTimeStamp;
    this.systemTimeStamp = systemTimeStamp;
  }

  static fromDataString(dataString) {
    let dataValues = dataString.split(DATA_SEPERATOR);
    return new GazeData(parseFloat(dataValues[0]), parseFloat(dataValues[1]), parseFloat(dataValues[2]),
      parseFloat(dataValues[3]), parseInt(dataValues[4]), parseInt(dataValues[5]));
  }
}

export default GazeData;